from __future__ import absolute_import
import inspect
def bfs10130(bfs10116, *args, **bfs10120):
  (bfs10117, bfs10121, bfs10121, defaults) = inspect.getargspec(bfs10116)
  bfs10122 = (0 if (defaults is None) else len(defaults))

  bfs10124 = []
  for (i, bfs10123) in enumerate(bfs10117):
    if (i < len(args)):
      value = args[i]
      bfs10124.append(repr(value))
    elif (bfs10123 in bfs10120):
      value = bfs10120[bfs10123]
      bfs10125 = (i >= (len(bfs10117) - bfs10122))
      prefix = ((bfs10123 + '=') if bfs10125 else '')

      bfs10124.append((prefix + repr(value)))


  for bfs10127 in args[len(bfs10117):]:
    bfs10124.append(repr(bfs10127))

  for bfs10126 in bfs10120:
    if (bfs10126 not in bfs10117):
      bfs10124.append(((bfs10126 + '=') + repr(bfs10120[bfs10126])))


  return ', '.join(bfs10124)

def bfs10133(bfs10132, *args, **bfs10131):
  return ('%s(%s)' % (bfs10132.__name__, bfs10130(bfs10132, *args, **bfs10131)))

